Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class TripleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.TripleKeyHashMap

    public class TripleKeyHashMap

extends ComplexKeyHashMap

Nested Class Summary
`static class` | `TripleKeyHashMap.Entry`

Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`ComplexKeyHashMap.EntryIterator`

Field Summary

Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

Constructor Summary
`TripleKeyHashMap()`

Method Summary
`boolean` | `checkEquals(TripleKeyHashMap.Entry e, Object key1, Object key2, Object key3)`
`TripleKeyHashMap.Entry` | `createEntry()`
`Object` | `get(Object key1, Object key2, Object key3)`
`TripleKeyHashMap.Entry` | `getOrPut(Object key1, Object key2, Object key3)`
`ComplexKeyHashMap.Entry` | `remove(Object key1, Object key2, Object key3)`

Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TripleKeyHashMap

    public TripleKeyHashMap()

Method Detail

### get

    public final Object get(Object key1,
                            Object key2,
                            Object key3)

### checkEquals

    public boolean checkEquals(TripleKeyHashMap.Entry e,
                               Object key1,
                               Object key2,
                               Object key3)

### getOrPut

    public TripleKeyHashMap.Entry getOrPut(Object key1,
                                           Object key2,
                                           Object key3)

### createEntry

    public TripleKeyHashMap.Entry createEntry()

### remove

    public final ComplexKeyHashMap.Entry remove(Object key1,
                                                Object key2,
                                                Object key3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD